<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:baselineAligned="false"
    android:orientation="vertical"
    tools:context=".topic.TopicActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2.5"
            android:orientation="vertical">

            <TextView
                android:id="@+id/astTopicName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/ast_topic_txt_view_topic_name"
                android:textAppearance="?attr/textAppearanceListItem"
                android:textSize="24sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/astTopicDescription"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="@string/ast_topic_txt_view_topic_description"
                android:textAppearance="?attr/textAppearanceListItem"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/astTopicCreatedAt"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="@string/ast_topic_txt_view_topic_created_at"
                android:textAppearance="?attr/textAppearanceListItem"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/astTopicLastEditAt"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="@string/ast_topic_txt_view_topic_last_edit_at"
                android:textAppearance="?attr/textAppearanceListItem"
                android:textSize="14sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical">

            <Button
                android:id="@+id/astBtnEditTopic"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="astBtnEditTopicClick"
                android:text="@string/ast_topic_txt_view_btn_edit" />

            <Button
                android:id="@+id/astBtnDeleteTopic"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="astBtnDeleteTopicClick"
                android:text="@string/ast_topic_txt_view_btn_delete" />

            <Button
                android:id="@+id/astBtnCreateNote"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="astBtnCreateNoteClick"
                android:text="@string/ast_topic_txt_view_btn_add_note" />
        </LinearLayout>

    </LinearLayout>


    <!--Fragment to display all topics related to the selected board-->
    <LinearLayout
        android:id="@+id/noteFragments"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <!--A fragment referenced to a particular class that takes care of displaying data-->
        <fragment
            android:id="@+id/noteFragment"
            android:name="cz.uhk.umte.kruncja1.notes.note.fragment.NoteFragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </LinearLayout>

</LinearLayout>